apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: gin-webserver-ingress
  namespace: michal
  annotations:
    nginx.ingress.kubernetes.io/rewrite-target: /$1
spec:
  rules: 
    - host: gin-webserver.info
      http:
        paths:
          - path: /
            pathType: Prefix
            backend: 
              service:
                name: gin-webserver-deploy
                port: 
                  number: 8080
